Subject: Re: [Dots] FW: New Version Notification for draft-reddy-dots-transport-02.txt

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Fri, 11 Mar 2016 06:00:38 +0000

> -----Original Message-----
> From: gclark mti-systems.com [mailto:[email-masked]]
> Sent: Friday, February 19, 2016 8:44 PM
> To: Tirumaleswar Reddy (tireddy); [email-masked]
> Subject: Re: [Dots] FW: New Version Notification for draft-reddy-dots-
> transport-02.txt
> 
> Hi!
> 
> Inline:
> 
> > Why is there need for different protocols ?
> 
> See below ...
> 
> >
> > DOTS agents must support one security mechanism for interoperability,
> don't
> > see a need for multiple security mechanism to meet the requirements.
> 
> Generally, I believe it is important for the standard to allow users to select a
> sane protocol and security mechanism based on the environment in which
> DOTS is
> being implemented and / or deployed.  I also believe it is important to allow
> users to standardize new protocols and security mechanisms without having
> to
> rewrite core sections of the DOTS specifications.
> 
> DOTS lacks the ability to see into the future, so I believe anything we can
> *reasonably* do to make these standards more flexible would be
> appreciated in
> the years to come.  Thus, I think the appropriate question here is not "why
> should we support multiple security mechanisms?", but instead "why should
> only
> *these specific* security mechanisms ever be used?"

A new draft can always be proposed in future to support new security mechanisms,  protocols do get extended to support new security and  authentication mechanisms.

-Tiru

> Cheers,
> Gilbert